LANDRUN(1)

NAME
landrun - run program in Landlock sandbox

DESCRIPTION

  NAME:

    landrun - Run a command in a Landlock sandbox

  USAGE:

    landrun [global options] command [command options] [arguments...]

  VERSION:

    0.1.15

  COMMANDS:

help, h
    Shows a list of commands or help for one command

  GLOBAL OPTIONS:

--log-level value
    Set logging level (error, info, debug) (default: "error") [$LANDRUN_LOG_LEVEL]

--ro value [ --ro value ]
    Allow read-only access to this path

--rox value [ --rox value ]
    Allow read-only access with execution to this path

--rw value [ --rw value ]
    Allow read-write access to this path

--rwx value [ --rwx value ]
    Allow read-write access with execution to this path

--bind-tcp value [ --bind-tcp value ]
    Allow binding to these TCP ports

--connect-tcp value [ --connect-tcp value ]
    Allow connecting to these TCP ports

--best-effort
    Use best effort mode (fall back to less restrictive sandbox if necessary) (default: false)

--env value [ --env value ]
    Environment variables to pass to the sandboxed command (KEY=VALUE or just KEY to pass current value)

--unrestricted-filesystem
    Allow unrestricted filesystem access (default: false)

--unrestricted-network
    Allow unrestricted network access (default: false)

--ldd
    Automatically detect and add library dependencies to --rox (default: false)

--add-exec
    Automatically add the executable path to --rox (default: false)

--help, -h
    show help

--version, -v
    print the version